<!--
title: Resize Ubuntu LVM volumes
description: 
published: true
date: 2021-12-20T16:28:27.172Z
tags: 
editor: ckeditor
dateCreated: 2021-12-20T16:27:10.821Z
-->

<h1>Resize Ubuntu LVM volumes&nbsp;</h1>
<p>Dit voorbeeld houdt als omgeving aan:</p>
<p>/dev/sda als fysieke schijf</p>
<p>/dev/sda3 als Fysiek volume (PV)</p>
<p>ubuntu-vg als Volume Group</p>
<p>ubuntu-lv als Logical Volume</p>
<h2>Breng het systeem op de hoogte van de nieuwe grootte van de schijf</h2>
<p>LET OP: dit is uitgaande van sda als disk in kwestie</p>
<p><code>echo '1' | sudo tee -a /sys/block/sda/device/rescan</code></p>
<h2>Check of de nieuwe nieuwe grootte van de schijf is gedetecteerd</h2>
<p>Check de schijfruimte van de disk <code>/dev/sda.</code></p>
<p><code>lsblk | grep sda</code></p>
<p>Dit kan ook met:</p>
<p><code>fdisk -l | grep "Disk /dev/sda"</code></p>
<p>maar met het lsblk-commando wordt dit direct van de (virtuele) schijf opgevraagd in plaats van (mogelijk) de MBR of GPT.</p>
<h2>Achterhalen Fysiek volume</h2>
<p>Dit&nbsp;kunnen verschillende partities zijn. De beste manier om dit te achterhalen is dit commando:</p>
<p>&nbsp;</p>
<p><code>sudo pvdisplay | grep "PV Name" | grep /dev/sda | gawk '{ print $3 }'</code></p>
<p>Dit levert het fysieke volume van sda op:</p>
<p><code>/dev/sda3</code></p>
<h2>Vergroot het fysieke volume</h2>
<p>In dit voorbeeld wordt de partitie <code>/dev/sda3</code> met parted vergroot met alle resterende ruimte op de disk:</p>
<p><code>sudo parted /dev/sda
    resizepart 3
    -0
    quit</code></p>
<h3>Modify (extend) LVM:</h3>
<p>Vergroot het fysieke volume in LVM. Vind de naam van het logische volume.</p>
<pre><code class="language-plaintext">sudo pvresize /dev/sda3
sudo lvdisplay | grep "Path" | gawk '{ print $3 }'</code></pre>
<p>Dit levert het pad van het Logical Volume op, bijvoorbeeld:</p>
<p><code>/dev/ubuntu-vg/ubuntu-lv</code></p>
<p>Dit kan vergroot worden met:</p>
<p><code>sudo lvextend -l +100%FREE &lt;LV Path&gt;</code></p>
<h2>Resize the file system</h2>
<p>Vind de naam van het logische volume. Vegroot het filesystem op het logische volume.</p>
<pre><code class="language-plaintext">sudo lvdisplay | grep "Path" | gawk '{ print $3 }'
sudo resize2fs &lt;LV Path&gt;</code></pre>
<p>&nbsp;</p>
